> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List scheduled events

> Get scheduled events for an assistant with pagination and filtering



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/ai/assistants.yml get /ai/assistants/{assistant_id}/scheduled_events
openapi: 3.1.0
info:
  title: Telnyx AI Assistants API
  version: 2.0.0
  description: >-
    API for managing AI Assistants, including CRUD fields, versions, tags,
    integrations, MCP servers, and shared tools.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /ai/assistants/{assistant_id}/scheduled_events:
    get:
      tags:
        - Assistants
      summary: List scheduled events
      description: Get scheduled events for an assistant with pagination and filtering
      operationId: get_scheduled_events
      parameters:
        - name: assistant_id
          in: path
          required: true
          schema:
            type: string
            title: Assistant Id
        - name: from_date
          in: query
          required: false
          schema:
            type: string
            format: date-time
            title: From Date
        - name: to_date
          in: query
          required: false
          schema:
            type: string
            format: date-time
            title: To Date
        - name: conversation_channel
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/ConversationChannelType'
            title: Conversation Channel
        - name: page
          in: query
          style: deepObject
          explode: true
          description: >-
            Consolidated page parameter (deepObject style). Originally:
            page[size], page[number]
          schema:
            type: object
            properties:
              size:
                type: integer
                maximum: 100
                minimum: 1
                default: 20
                title: Page[Size]
              number:
                type: integer
                minimum: 1
                default: 1
                title: Page[Number]
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedScheduledEventList'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const scheduledEventListResponse of
            client.ai.assistants.scheduledEvents.list(
              'assistant_id',
            )) {
              console.log(scheduledEventListResponse);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.ai.assistants.scheduled_events.list(
                assistant_id="assistant_id",
            )
            page = page.data[0]
            print(page)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.AI.Assistants.ScheduledEvents.List(\n\t\tcontext.TODO(),\n\t\t\"assistant_id\",\n\t\ttelnyx.AIAssistantScheduledEventListParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.ai.assistants.scheduledevents.ScheduledEventListPage;

            import
            com.telnyx.sdk.models.ai.assistants.scheduledevents.ScheduledEventListParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    ScheduledEventListPage page = client.ai().assistants().scheduledEvents().list("assistant_id");
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            page = telnyx.ai.assistants.scheduled_events.list("assistant_id")

            puts(page)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\AI\Assistants\ScheduledEvents\ConversationChannelType;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $page = $client->ai->assistants->scheduledEvents->list(
                'assistant_id',
                conversationChannel: ConversationChannelType::PHONE_CALL,
                fromDate: new \DateTimeImmutable('2019-12-27T18:11:19.117Z'),
                pageNumber: 0,
                pageSize: 0,
                toDate: new \DateTimeImmutable('2019-12-27T18:11:19.117Z'),
              );

              var_dump($page);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx ai:assistants:scheduled-events list \
              --api-key 'My API Key' \
              --assistant-id assistant_id
components:
  schemas:
    ConversationChannelType:
      type: string
      enum:
        - phone_call
        - sms_chat
      title: ConversationChannelType
    PaginatedScheduledEventList:
      properties:
        meta:
          $ref: '#/components/schemas/Meta'
        data:
          items:
            anyOf:
              - $ref: '#/components/schemas/ScheduledPhoneCallEventResponse'
              - $ref: '#/components/schemas/ScheduledSmsEventResponse'
          type: array
          title: Data
      type: object
      required:
        - meta
        - data
      title: PaginatedScheduledEventList
    HTTPValidationError:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    Meta:
      properties:
        total_pages:
          type: integer
        total_results:
          type: integer
        page_number:
          type: integer
        page_size:
          type: integer
      type: object
      required:
        - total_pages
        - total_results
        - page_number
        - page_size
      title: Meta
    ScheduledPhoneCallEventResponse:
      properties:
        telnyx_conversation_channel:
          $ref: '#/components/schemas/ConversationChannelType'
        telnyx_end_user_target:
          type: string
          title: Telnyx End User Target
        telnyx_agent_target:
          type: string
          title: Telnyx Agent Target
        scheduled_at_fixed_datetime:
          type: string
          format: date-time
          title: Scheduled At Fixed Datetime
        assistant_id:
          type: string
          title: Assistant Id
        retry_count:
          type: integer
          title: Retry Count
          default: 0
        retry_attempts:
          type: integer
          title: Retry Attempts
        scheduled_event_id:
          type: string
          title: Scheduled Event Id
        conversation_id:
          title: Conversation Id
          type: string
        created_at:
          type: string
          format: date-time
          title: Created At
        status:
          allOf:
            - $ref: '#/components/schemas/EventStatus'
          default: pending
        conversation_metadata:
          title: Conversation Metadata
          additionalProperties:
            anyOf:
              - type: string
              - type: integer
              - type: boolean
          type: object
        dynamic_variables:
          additionalProperties:
            type: string
          type: object
          description: >-
            A map of dynamic variable names to values. These variables can be
            referenced in the assistant's instructions and messages using
            {{variable_name}} syntax.
          title: Dynamic Variables
        errors:
          items:
            type: string
          type: array
          title: Errors
        call_status:
          type: string
          title: Call Status
          description: >-
            Values: busy, canceled, no-answer, ringing, completed, failed,
            in-progress
        call_duration:
          title: Call Duration
          type: integer
          description: Duration of the call in seconds
        max_retries_client_errors:
          type: integer
          title: Max Retries Client Errors
          description: >-
            Configure number of retries on client errors: busy, no-answer,
            failed, canceled (caller hung up before the callee answered)
          default: 0
        retry_interval_secs:
          title: Retry Interval Secs
          type: integer
        call_attempts:
          title: Call Attempts
          items:
            $ref: '#/components/schemas/AssistantScheduledCallAttempt'
          type: array
        dispatched_at:
          title: Dispatched At
          type: string
          format: date-time
          description: Date time at which call was sent
      type: object
      required:
        - telnyx_conversation_channel
        - telnyx_end_user_target
        - telnyx_agent_target
        - scheduled_at_fixed_datetime
        - assistant_id
      title: ScheduledPhoneCallEventResponse
    ScheduledSmsEventResponse:
      properties:
        telnyx_conversation_channel:
          $ref: '#/components/schemas/ConversationChannelType'
        telnyx_end_user_target:
          type: string
          title: Telnyx End User Target
        telnyx_agent_target:
          type: string
          title: Telnyx Agent Target
        scheduled_at_fixed_datetime:
          type: string
          format: date-time
          title: Scheduled At Fixed Datetime
        assistant_id:
          type: string
          title: Assistant Id
        retry_count:
          type: integer
          title: Retry Count
          default: 0
        text:
          type: string
          title: Text
        scheduled_event_id:
          type: string
          title: Scheduled Event Id
        conversation_id:
          title: Conversation Id
          type: string
        created_at:
          type: string
          format: date-time
          title: Created At
        status:
          allOf:
            - $ref: '#/components/schemas/EventStatus'
          default: pending
        conversation_metadata:
          title: Conversation Metadata
          additionalProperties:
            anyOf:
              - type: string
              - type: integer
              - type: boolean
          type: object
        dynamic_variables:
          additionalProperties:
            type: string
          type: object
          description: >-
            A map of dynamic variable names to values. These variables can be
            referenced in the assistant's instructions and messages using
            {{variable_name}} syntax.
          title: Dynamic Variables
        errors:
          items:
            type: string
          type: array
          title: Errors
      type: object
      required:
        - telnyx_conversation_channel
        - telnyx_end_user_target
        - telnyx_agent_target
        - scheduled_at_fixed_datetime
        - assistant_id
        - text
      title: ScheduledSmsEventResponse
    ValidationError:
      title: ValidationError
      required:
        - loc
        - msg
        - type
      type: object
      properties:
        loc:
          title: Location
          type: array
          items:
            anyOf:
              - type: string
              - type: integer
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
    EventStatus:
      type: string
      enum:
        - pending
        - in_progress
        - completed
        - failed
      title: EventStatus
    AssistantScheduledCallAttempt:
      properties:
        attempt_number:
          type: integer
          title: Attempt Number
        attempted_at:
          type: string
          format: date-time
          title: Attempted At
        call_status:
          type: string
          title: Call Status
          description: >-
            Values: busy, canceled, no-answer, ringing, completed, failed,
            in-progress
        call_duration:
          title: Call Duration
          type: integer
          description: Duration of the call in seconds
        telnyx_call_control_id:
          title: Telnyx Call Control Id
          type: string
      type: object
      required:
        - attempt_number
        - attempted_at
        - call_status
      title: AssistantScheduledCallAttempt
      description: >-
        One row in `call_attempts` — captures the terminal outcome of a single
        dispatch.
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````